
SITETB - Bug #32

Caso 4376 - Período incorreto na edição do tratamento [RPROJ 4206]

07/23/2012 03:41 PM - Maurício Dos Santos

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Maurício Dos Santos % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Versão atual Spent time: 0.00 hour

Componente: Casos   

Description

Funcionalidade: Modificar tratamento do caso

Descrição

No caso 4376, ao editar o tratamento, o período exibido é inferior ao período de tratamento do caso.

O tratamento vai até 27-out-2012.

Porém, ao editar, o sistema exibe o término em 18-jul-2011.

OBS.: 18-jul-2011 é o término de um período de mudança da posologia do medicamento.

MENSAGEM DO RICARDO:

Na verdade o problema foi gerado por uma falha na edição do tratamento.

O tratamento iniciou no NEREU RAMOS e logo foi transferido para US JOINVILLE. Após a transferência (ou durante, deve ser

testado), o usuário redefiniu a data de início de tratamento para o início do tratamento no NEREU RAMOS.

Neste ponto, o sistema sobrescreveu o período de tratamento da US JOINVILLE no tratamento de NEREU RAMOS.

O bug deve estar na mudança do período de tratamento. Deve ser observado se o sistema permite mudar o período de tratamento

para o início do tratamento de outra unidade, sobrescrevendo assim o período da anterior.

SOLUÇÃO PALEATIVA: Desfaça a transferência do NEREU RAMOS para JOINVILLE (Tratamento | Desfazer transferência) e

modifique o tratamento do NEREU RAMOS para outra unidade, se for o caso.

History

#1 - 07/26/2012 02:54 PM - Ricardo Memoria

- Target version deleted (Version 2.1)

#2 - 09/12/2012 01:39 PM - Maurício Dos Santos

- Status changed from New to Resolved

#3 - 09/18/2012 06:02 PM - Maurício Dos Santos

- Status changed from Resolved to Closed
